apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: autojanet
  namespace: argocd
spec:
  project: default
  source:
    repoURL: https://git.ctz.fyi/zoe/autojanet.git
    targetRevision: mainline
    path: k8s
    directory:
      recurse: true
  destination:
    server: https://kubernetes.default.svc
    namespace: autojanet
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
      - ServerSideApply=true
    retry:
      limit: 5
      backoff:
        duration: 30s
        maxDuration: 5m
        factor: 2
